# (tmb) temp disable doc
%define build_doc 0

Summary: Convenience library for kernel netlink sockets
Group:	 System/Libraries
License: LGPLv2
Name:	 libnl3
Version: 3.2.7
Release: %mkrel 1
URL:	 http://www.infradead.org/~tgr/libnl/
Source:  http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.gz
BuildRequires: doxygen
BuildRequires: xmlstarlet
BuildRequires: flex bison
BuildRequires: texlive texlive-texmf
BuildRequires: graphviz
BuildRequires: python
BuildRequires: asciidoc
BuildRequires: source-highlight

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package devel
Summary: Libraries and headers for using libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: kernel-headers

%description devel
This package contains various headers for using libnl3

%package cli
Summary: Command line interface utils for libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description cli
This package contains various libnl3 utils and additional
libraries on which they depend

%if %build_doc
%package doc
Summary: API documentation for libnl3
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description doc
This package contains libnl3 API documentation
%endif

%prep
%setup -q -n libnl-%{version}

%build
%configure --disable-static
%make
%if %build_doc
pushd doc
    # docs aren't parallel-make safe
    make gendoc
popd
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name \*.la -delete

%files
%doc COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*

%files devel
%doc COPYING
%{_includedir}/libnl3/netlink/
%dir %{_includedir}/libnl3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%doc COPYING
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_sbindir}/*
%{_mandir}/man8/* 

%if %build_doc
%files doc
%doc COPYING
%doc doc/*.html
%doc doc/*.css
%doc doc/stylesheets/*
%doc doc/images/*
%doc doc/images/icons/*
%doc doc/images/icons/callouts/*
%doc doc/api/*
%endif


%changelog

* Wed Mar 07 2012 tmb <tmb> 3.2.7-1.mga2
+ Revision: 220929
- fix groups
- disable docs for now (broken build)
- fix Group and BR
- spec cleanup
- import from fedora

